Subject: Re: [patch 1/2]d80211: hardware TKIP support for ipw3945

From: Johannes Berg <[email-masked]>
Date: Tue, 24 Oct 2006 10:35:08 +0200

On Tue, 2006-10-24 at 16:20 +0800, Hong Liu wrote:

> It's really strange bcm43xx only does phase2 mixing in hw. With all the
> code that does phase2 mixing, doing phase1 mixing is very cheap.

Yeah, well, they have the tkip sbox in hw.

> With Jiri's ieee80211_tx_ctrl_common patch, I think we can put the
> rc4key or phase1 key in ieee80211_tx_control with each TX packet.

No, the phase1 key is not dependent on the packet so it should not be
there. It should be set via the regular key setting mechanism, instead
of the TKIP key the driver would be given the phase1 key if required.

johannes